"""image status

Revision ID: 8223fcef886c
Revises: 87cd72a537a2
Create Date: 2025-02-24 11:32:22.267338

"""
import sqlalchemy as sa
import sqlmodel
from alembic import op


# revision identifiers, used by Alembic.
revision = "8223fcef886c"
down_revision = "87cd72a537a2"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "imagestatus",
        sa.Column(
            "zarr_url", sqlmodel.sql.sqltypes.AutoString(), nullable=False
        ),
        sa.Column("workflowtask_id", sa.Integer(), nullable=False),
        sa.Column("dataset_id", sa.Integer(), nullable=False),
        sa.Column(
            "parameters_hash",
            sqlmodel.sql.sqltypes.AutoString(),
            nullable=False,
        ),
        sa.Column(
            "status", sqlmodel.sql.sqltypes.AutoString(), nullable=False
        ),
        sa.Column(
            "logfile", sqlmodel.sql.sqltypes.AutoString(), nullable=False
        ),
        sa.ForeignKeyConstraint(
            ["dataset_id"],
            ["datasetv2.id"],
            name=op.f("fk_imagestatus_dataset_id_datasetv2"),
        ),
        sa.ForeignKeyConstraint(
            ["workflowtask_id"],
            ["workflowtaskv2.id"],
            name=op.f("fk_imagestatus_workflowtask_id_workflowtaskv2"),
        ),
        sa.PrimaryKeyConstraint(
            "zarr_url",
            "workflowtask_id",
            "dataset_id",
            name=op.f("pk_imagestatus"),
        ),
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("imagestatus")
    # ### end Alembic commands ###
